POMP2_USER_Region_info Struct Reference

This struct stores all information on a user defined region, like the name or corresponding source lines. The function ctcString2UserRegionInfo() can be used to fill this struct with data from a ctcString. More...

`#include <pomp2_user_region_info.h>`

## Data Fields

Generic source code information attributes
char * | mStartFileName
unsigned | mStartLine1
unsigned | mStartLine2
char * | mEndFileName
unsigned | mEndLine1
unsigned | mEndLine2
Type of the OpenMP region
POMP2_USER_Region_type | mRegionType
Attributes for user region types
char * | mUserRegionName

## Detailed Description

This struct stores all information on a user defined region, like the name or corresponding source lines. The function ctcString2UserRegionInfo() can be used to fill this struct with data from a ctcString.

## Field Documentation

char* POMP2_USER_Region_info::mEndFileName

name of the corresponding source file from the closing pragma

unsigned POMP2_USER_Region_info::mEndLine1

line number of the first line from the closing pragma

unsigned POMP2_USER_Region_info::mEndLine2

line number of the last line from the closing pragma

char* POMP2_USER_Region_info::mStartFileName

source location info. Needs to be first for the typecasting from generic OPARI2_Region_info to work. name of the corresponding source file from the opening pragma

unsigned POMP2_USER_Region_info::mStartLine1

line number of the first line from the opening pragma

unsigned POMP2_USER_Region_info::mStartLine2

line number of the last line from the opening pragma

char* POMP2_USER_Region_info::mUserRegionName

name of a user defined region

The documentation for this struct was generated from the following file:

- pomp2_user_region_info.h